Subject: Re: [PATCH 1/4] usage: help the user help themselves

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Wed, 03 Sep 2025 19:53:32 +0200

(Sent from mobile, might have mistakes)

On Wed, Sep 3, 2025, at 18:50, Eric Sunshine wrote:
> I realize that the changes made by this series are not in any released
> version yet, but from reading the emails still arriving which argue
> for retaining the command for reasons of muscle memory or because of
> its (strong) mnemonic value, I suspect that the hint(s) this series
> adds may not be complete enough. In particular, the advice this series
> adds (use `git log --raw --no-merges`) seems to be primarily aimed at
> scripted use of the command. But the muscle memory and mnemonic
> arguments suggest that advice should be given for interactive use, as
> well, such as proposing that the user can create an alias.

Good point. I would suggest discussing it in the 
breaking changes doc under a new "For Users"
section. I would like to avoid expanding the error
message too much due to the already mentioned
fear of overwhelming folks.

I've seen  "troubleshooting" questions from git users
who got one of those long and well-described Hints
like e.g. detached head and default git init branch
when either the msg already spelled eveything out
or the msg was purely informational.

Cheers